aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/netatalk/files/init
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/netatalk/files/init
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/netatalk/files/init')
-rw-r--r--recipes/netatalk/files/init103
1 files changed, 103 insertions, 0 deletions
diff --git a/recipes/netatalk/files/init b/recipes/netatalk/files/init
new file mode 100644
index 0000000000..380cc49e16
--- /dev/null
+++ b/recipes/netatalk/files/init
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+atalk_startup () {
+ if [ "${ATALKD_RUN}" != "no" ]; then
+ echo "Starting atalkd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/atalkd
+
+ for reg in \
+ "${ATALK_NAME}:Workstation${ATALK_ZONE}" \
+ "${ATALK_NAME}:netatalk${ATALK_ZONE}"
+ do
+ echo " Registering $reg"
+ /usr/bin/nbprgstr "$reg"
+ done
+
+ if [ "${PAPD_RUN}" = "yes" ]; then
+ echo " Starting papd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/papd
+ fi
+
+ fi
+
+ if [ "${CNID_METAD_RUN}" = "yes" ] ; then
+ echo "Starting cnid_metad"
+ start-stop-daemon --start --quiet --exec /usr/sbin/cnid_metad
+ fi
+
+
+ if [ "${AFPD_RUN}" = "yes" ]; then
+ echo "Starting afpd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/afpd -- \
+ ${AFPD_UAMLIST} -g ${AFPD_GUEST} -c ${AFPD_MAX_CLIENTS} \
+ -n "${ATALK_NAME}${ATALK_ZONE}"
+ fi
+
+ if [ "${TIMELORD_RUN}" = "yes" ]; then
+ echo "Starting timelord"
+ start-stop-daemon --start --quiet --exec /usr/sbin/timelord
+ fi
+}
+
+start_netatalk () {
+ . /etc/netatalk/netatalk.conf
+
+ if [ x"${ATALK_BGROUND}" = x"yes" ]; then
+ echo "Starting netatalk in the background ... "
+ atalk_startup >& /dev/null &
+ else
+ atalk_startup
+ fi
+}
+
+stop_netatalk () {
+ . /etc/netatalk/netatalk.conf
+
+ if [ "${AFPD_RUN}" = "yes" ]; then
+ echo "Stopping afpd"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/afpd
+ fi
+
+ if [ "${TIMELORD_RUN}" = "yes" ]; then
+ echo "Stopping timelord"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/timelord
+ fi
+
+ if [ "${ATALKD_RUN}" != "no" ]; then
+ if [ "${PAPD_RUN}" = "yes" ]; then
+ echo "Stopping papd"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/papd
+ fi
+
+ for reg in \
+ "${ATALK_NAME}:Workstation${ATALK_ZONE}" \
+ "${ATALK_NAME}:netatalk${ATALK_ZONE}"
+ do
+ echo "Unregistering $reg"
+ /usr/bin/nbpunrgstr "$reg"
+ done
+
+ echo "Stopping atalkd"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/atalkd
+ fi
+
+ if [ "${CNID_METAD_RUN}" = "yes" ] ; then
+ echo "Stopping cnid_metad"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/cnid_metad
+ fi
+}
+
+case "$1" in
+ start)
+ start_netatalk
+ ;;
+ stop)
+ stop_netatalk
+ ;;
+ *)
+ echo "Usage: {start|stop}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0